﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using b = Infragistics.Windows.DataPresenter;

namespace TestApplication
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            DataSet ds = GetSyntheticPositionByWarrantsTestData();
            dgGrid.DataSource = ds.Tables[0].DefaultView;

            dgGrid.DefaultFieldLayout.SortedFields.Add(new b.FieldSortDescription("SecurityCode", System.ComponentModel.ListSortDirection.Ascending, true));
            dgGrid.DefaultFieldLayout.SortedFields.Add(new b.FieldSortDescription("ISIN", System.ComponentModel.ListSortDirection.Ascending, true));
        }

        private DataSet GetSyntheticPositionByWarrantsTestData()
        {
            DataSet ds = new DataSet();
            DataTable dt = new DataTable("SyntheticPositionByWarrants");
            ds.Tables.Add(dt);

            dt.Columns.Add(new DataColumn("SecurityName", typeof(System.String)));
            dt.Columns.Add(new DataColumn("SecurityCode", typeof(System.String)));
            dt.Columns.Add(new DataColumn("CustomerName", typeof(System.String)));
            dt.Columns.Add(new DataColumn("ISIN", typeof(System.String)));
            dt.Columns.Add(new DataColumn("ProductDescription", typeof(System.String)));
            dt.Columns.Add(new DataColumn("TotalWarrantPosition", typeof(System.Int32)));

            for (int i = 0; i < 4; i++)
            {
                DataRow dr = dt.NewRow();
                dr["SecurityCode"] = "IBM";
                dr["SecurityName"] = "IBM-SEC";
                dr["CustomerName"] = "Customer-" + i;
                dr["ISIN"] = "ISIN-" + i;
                dr["ProductDescription"] = "IBMPROD-" + i;
                if (i % 2 == 0)
                    dr["TotalWarrantPosition"] = i * 200 + i * 2000;
                else
                    dr["TotalWarrantPosition"] = i * 200 - i * 2000;

                dt.Rows.Add(dr);

            }
            return ds;
        }

    }
}
